MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025284Open CASCADE[OCCT] OCCT:Samplespublic2014-09-29 12:312014-11-11 13:01
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025284: Problems with standard MFC samples
DescriptionViewer 3D

1. It is not possible to create fillet with predefined parameter
2. Length dimensions created on edge and 2 vertex are displayed without unit of measurements. See attached pictures.
3. Rectangle selection works with artifacts

HLR

Dialog box Choose Shapes and Projector.
Small 3D Viewer disappears when not selected.

OCAF

Sample can not open document any format created in sample.
TagsNo tags attached.
Test case number
Attached Filesgif file icon dimensions.gif (4,394 bytes) 2014-09-29 12:31

- Relationships
related to 0025338closedbugmaster MFC standard samples: 3D selection rectangle blinking. 
related to 0025335closedbugmaster Visualization - method ::SelectedShape() in AIS_LocalContext and AIS_InteractiveContext overrides shape transformation 

-  Notes
(0032603)
git (administrator)
2014-10-02 17:52

Branch CR25284 has been created by aba.

SHA-1: edb5e6baf774e4dd7d994ef960122daecf9182d8


Detailed log of new commits:

Author: aba
Date: Wed Oct 1 15:18:06 2014 +0400

    0025284: Problems with standard MFC samples
     - OCAF sample Save Document option: corrected conversion from LPCTSTR to Standard_CString
     - HLR sample: corrected mouse move event handling for HLR 2D view;
    Corrected CSelectionDialod view displaying and updating
     - Geometry sample: CGeometryDoc correction to avoid code duplication
     - OCC_3dBaseDoc: corrected DragEvent() handler for proper emulation of rectangle selection.
(0032604)
aba (developer)
2014-10-02 17:55

Dear san,

please review the branch CR25284.
(0032618)
git (administrator)
2014-10-03 12:20

Branch CR25284 has been updated forcibly by aba.

SHA-1: 2c23e9dae1974a2093ce59f35ebf851e40793513
(0032682)
kgv (developer)
2014-10-03 23:24

Dear Anastasia,

please split re-formatting and functional changes into dedicated commits (and issues) when possible.

-               TCollection_AsciiString Message("\
-gp_Ax2 CylAx2(gp_Pnt(0,0,-100), gp_Dir(gp_Vec(gp_Pnt(0,0,-100),gp_Pnt(0,0,100))));\n\
-C = new User_Cylinder(CylAx2, 80.,200.);;\n\
-               ");
-               
-               UpdateResultMessageDlg("Create Cylinder",Message);
+    TCollection_AsciiString Message("\
+                                    gp_Ax2 CylAx2(gp_Pnt(0,0,-100), gp_Dir(gp_Vec(gp_Pnt(0,0,-100),gp_Pnt(0,0,100))));\n\

+                                    C = new User_Cylinder(CylAx2, 80.,200.);;\n\
+                                    ");

Are code snippets properly formatted after modification?

-class CGeometryDoc : public OCC_BaseDoc
+class CGeometryDoc : public OCC_3dBaseDoc//OCC_BaseDoc

What for this commented code?

+        // Selected shape has his own location, and sub-shapes in the solid shape for fillet building


"his"? really?

+  PathName=lpszPathName;
+
+  // Convertion from LPCTSTR to TCollection_ExtendedString
+  CStringA aStrToConvert (lpszPathName);
+  Standard_CString aCharStr = aStrToConvert;
+  TCollection_ExtendedString aTPath (aCharStr);

MFC sample and OCAF should be UNICODE ready now.
These conversion looks broken - please initialize TCollection_ExtendedString directly from wchar_t* string applying explicit cast to Standard_ExtString.

-BOOL COcafDoc::OnOpenDocument(LPCTSTR lpszPathName) 
+BOOL COcafDoc::OnOpenDocument(LPCTSTR lpszPathName)

it is better to replace occurrences of these auxiliary macros with real types - "const wchar_t*" in this case.
(0032741)
git (administrator)
2014-10-06 20:07

Branch CR25284_1 has been created by aba.

SHA-1: 6186b56beeaa10841b13e72bb56f081d4d65068b


Detailed log of new commits:

Author: aba
Date: Mon Oct 6 20:07:04 2014 +0400

    0025284: Problems with standard MFC samples
    
     - OCAF sample Save Document option: corrected conversion from LPCTSTR to Standard_CString
     - HLR sample: corrected mouse move event handling for HLR 2D view; Corrected CSelectionDialog view displaying and updating
     - Geometry sample: CGeometryDoc correction to avoid code duplication
     - OCC_3dBaseDoc: corrected DragEvent() handler for proper emulation of rectangle selection.
     - Viewer3d sample: moved resource files (resource.h; resource.hm; AISToolbar.bmp) from /src to /res
(0032742)
git (administrator)
2014-10-06 20:20

Branch CR25284_1 has been updated forcibly by aba.

SHA-1: 39e50c899e4377a27f4e12ac8e50385cf95117f9
(0032743)
git (administrator)
2014-10-06 20:21

Branch CR25284_1 has been updated forcibly by aba.

SHA-1: a3218af9adb84d7a467ede54cb0c1ec871d0aade
(0032744)
aba (developer)
2014-10-06 20:25

Dear kgv,

could you please review the git branch CR25284_1?
(0032747)
kgv (developer)
2014-10-06 21:19

Dear bugmaster,

please test updated samples.
(0032755)
git (administrator)
2014-10-07 12:33

Branch CR25284_1 has been updated forcibly by aba.

SHA-1: 5747b027805e6c2e07c080ac72ce506b7e653bc3
(0032775)
git (administrator)
2014-10-07 15:53

Branch CR25284_1 has been updated by aba.

SHA-1: 23284d2c97dfb7d1c25960245cf6d3768249a690


Detailed log of new commits:

Author: aba
Date: Tue Oct 7 15:53:30 2014 +0400

    Fixed "About" dialog error in release.

(0032790)
git (administrator)
2014-10-07 20:31

Branch CR25284_1 has been updated by aba.

SHA-1: b419e9c285fffe524a3cb7b9a278c178eeb8765b


Detailed log of new commits:

Author: aba
Date: Tue Oct 7 20:01:26 2014 +0400

    workaround for dimensions sample: AIS_LocalContext::SelectedShape() doesn't take into account TopoDS shape local transformation, and operates with selected interactive transformation.

Author: aba
Date: Tue Oct 7 19:00:14 2014 +0400

    Corrected dimension dialogs

(0032803)
bugmaster (administrator)
2014-10-08 12:21

Fix has been tested. In general all is OK.
For some problem the separated issues have been registered
(0033429)
git (administrator)
2014-10-21 16:42

Branch CR25284_1 has been deleted by inv.

SHA-1: b419e9c285fffe524a3cb7b9a278c178eeb8765b
(0033444)
git (administrator)
2014-10-21 16:43

Branch CR25284 has been deleted by inv.

SHA-1: 2c23e9dae1974a2093ce59f35ebf851e40793513

- Related Changesets
occt: master 47162471
Timestamp: 2014-10-09 11:40:14
Author: aba
Committer: bugmaster
Details ] Diff ]
0025284: Problems with standard MFC samples

 - OCAF sample Save Document option: corrected conversion from LPCTSTR to Standard_CString
 - HLR sample: corrected mouse move event handling for HLR 2D view; Corrected CSelectionDialog view displaying and updating
 - Geometry sample: CGeometryDoc correction to avoid code duplication
 - OCC_3dBaseDoc: corrected DragEvent() handler for proper emulation of rectangle selection.
 - Viewer3d sample: moved resource files (resource.h; resource.hm; AISToolbar.bmp) from /src to /res

Code style changes

Fixed "About" dialog error in release.

Corrected dimension dialogs

Workaround for dimensions sample: AIS_LocalContext::SelectedShape() doesn't take into account TopoDS shape local transformation, and operates with selected interactive transformation.
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryView.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryView.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/res/resource.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/res/Viewer3d.rc Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/OffsetDlg.cpp Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/src/resource.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ScaleDlg.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ShadingModelDlg.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TrihedronDlg.h Diff ] File ]
rm - samples/mfc/standard/04_Viewer3d/src/Viewer3d.rc Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/res/HLR.rc Diff ] File ]
mod - samples/mfc/standard/08_HLR/res/resource.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRDoc.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRView2D.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRView2D.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/Common/AngleParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.h Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgePage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_App.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ParamsFacesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/RadiusParamsPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/res/OCC_Resource.rc Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-29 12:31 bugmaster New Issue
2014-09-29 12:31 bugmaster Assigned To => bugmaster
2014-09-29 12:31 bugmaster File Added: dimensions.gif
2014-09-29 12:41 bugmaster Assigned To bugmaster => aba
2014-09-29 12:41 bugmaster Status new => assigned
2014-09-29 12:50 bugmaster Description Updated View Revisions
2014-09-29 14:02 bugmaster Description Updated View Revisions
2014-09-29 14:11 bugmaster Description Updated View Revisions
2014-10-02 17:52 git Note Added: 0032603
2014-10-02 17:55 aba Note Added: 0032604
2014-10-02 17:55 aba Assigned To aba => san
2014-10-02 17:55 aba Status assigned => resolved
2014-10-03 12:20 git Note Added: 0032618
2014-10-03 23:24 kgv Note Added: 0032682
2014-10-03 23:24 kgv Assigned To san => aba
2014-10-03 23:24 kgv Status resolved => assigned
2014-10-03 23:24 kgv Product Version 6.8.0 =>
2014-10-06 20:07 git Note Added: 0032741
2014-10-06 20:20 git Note Added: 0032742
2014-10-06 20:21 git Note Added: 0032743
2014-10-06 20:25 aba Note Added: 0032744
2014-10-06 20:25 aba Assigned To aba => kgv
2014-10-06 20:25 aba Status assigned => resolved
2014-10-06 21:19 kgv Note Added: 0032747
2014-10-06 21:19 kgv Assigned To kgv => bugmaster
2014-10-06 21:19 kgv Status resolved => reviewed
2014-10-07 12:33 git Note Added: 0032755
2014-10-07 15:53 git Note Added: 0032775
2014-10-07 20:31 git Note Added: 0032790
2014-10-08 08:59 kgv Relationship added related to 0025335
2014-10-08 12:11 aba Relationship added related to 0025338
2014-10-08 12:21 bugmaster Note Added: 0032803
2014-10-08 12:21 bugmaster Status reviewed => tested
2014-10-13 17:52 bugmaster Changeset attached => occt master 47162471
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:42 git Note Added: 0033429
2014-10-21 16:43 git Note Added: 0033444
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker